Skip to content

Wayfair Product Data API

Scrape detailed Wayfair product information instantly with a simple API call

Last Updated: April 6, 2026

A GET request to the /api/getter/?platform="wayfair_detail" endpoint allows you to scrape product data for any product listing URL on Wayfair.com in real-time.

Example

Here's an example showing how you can scrape details about a specific sofa from Wayfair, you can use the following command:

1
curl 'https://data.unwrangle.com/api/getter/?platform=wayfair_detail&url=https%3A%2F%2Fwww.wayfair.com%2Ffurniture%2Fpdp%2Fmercury-row-benitez-twin-or-smaller-76-wide-faux-leather-tufted-back-convertible-sofa-w005404809.html&api_key=API_KEY'
1
2
3
4
5
import requests

url = 'https://data.unwrangle.com/api/getter/?platform=wayfair_detail&url=https%3A%2F%2Fwww.wayfair.com%2Ffurniture%2Fpdp%2Fmercury-row-benitez-twin-or-smaller-76-wide-faux-leather-tufted-back-convertible-sofa-w005404809.html&api_key=API_KEY'
response = requests.get(url)
print(response.json())
1
2
3
const response = await fetch('https://data.unwrangle.com/api/getter/?platform=wayfair_detail&url=https%3A%2F%2Fwww.wayfair.com%2Ffurniture%2Fpdp%2Fmercury-row-benitez-twin-or-smaller-76-wide-faux-leather-tufted-back-convertible-sofa-w005404809.html&api_key=API_KEY')
const data = await response.json()
console.log(data)
1
2
3
4
5
6
<?php
$url = 'https://data.unwrangle.com/api/getter/?platform=wayfair_detail&url=https%3A%2F%2Fwww.wayfair.com%2Ffurniture%2Fpdp%2Fmercury-row-benitez-twin-or-smaller-76-wide-faux-leather-tufted-back-convertible-sofa-w005404809.html&api_key=API_KEY';
$response = file_get_contents($url);
$data = json_decode($response, true);
print_r($data);
?>
1
2
3
4
5
6
require 'net/http'
require 'uri'

uri = URI.parse('https://data.unwrangle.com/api/getter/?platform=wayfair_detail&url=https%3A%2F%2Fwww.wayfair.com%2Ffurniture%2Fpdp%2Fmercury-row-benitez-twin-or-smaller-76-wide-faux-leather-tufted-back-convertible-sofa-w005404809.html&api_key=API_KEY')
response = Net::HTTP.get(uri)
puts response

Query Parameters

As you can see in the example above, our endpoint needs the following query parameters:

Product URL

url

Required

Product listing's URL on Wayfair. Please remove unnecessary query parameters and encode the URL.

Other Required Parameters

platform

Required

Specifies the scraping engine you wish to invoke. In this case, the value should be wayfair_detail.

api_key

Required

Your account's token—which can be obtained by signing up here.

Note

The value of the query parameter url must be URL or percent encoded. If you're using Python, this can be done with the function urlencode.

Results

The response will include the following attributes for the product:

Attributes Returned Data Type Information Represented
name string Name of product listing
main_image string Main product image URL
images list List of product listing's image URLs
fullsize_images list List of full-size product image URLs without resize parameters
price float Current price of product
list_price float/null Original list price of product
open_box_price float/null Open box price if available
currency string Currency of the price (e.g. USD)
description string Full description of the product
sku_id string Product's unique identifier (SKU) on Wayfair
brand string Brand of product listing
rating float Average rating of product
total_ratings int Total number of ratings received
total_reviews int Total number of reviews received
reviews list List of reviews with reviewer name, rating, text and date
reviews.reviewer_name string Name of the reviewer
reviews.rating float Rating of the review
reviews.date string Date of the review
reviews.review_text string Text of the review
retailer_badge string/null Retailer badge (e.g. Sale)
variant object Currently selected variant
variant.type string Type of variant (e.g. Upholstery Color)
variant.value string Value of the selected variant
variants list List of all available variants
variants.type string Type of variant
variants.name string Display name of the variant
variants.id int Variant ID
variants.url string URL to the variant's product page
variants.selected boolean Whether this variant is currently selected
in_stock boolean Whether the product is currently in stock
low_inventory_indicator_badge string/null Inventory status badge (e.g. Out of Stock)
categories list Product category hierarchy
categories.name string Category name
categories.url string Category URL on Wayfair
product_overview list/null List of product overview features
delivery_zipcode string/null Delivery zipcode used for the request
shipping_info object/null Shipping information for the product
features list/null List of product features
at_a_glance list/null List of at-a-glance features

Response Example

Here's the response you will receive for the request showcased above:

{
    "success": true,
    "platform": "wayfair_detail",
    "product_url": "https://www.wayfair.com/furniture/pdp/mercury-row-benitez-twin-or-smaller-76-wide-faux-leather-tufted-back-convertible-sofa-w005404809.html",
    "result_count": 1,
    "detail": {
        "name": "Benitez Twin 76'' Faux Leather Convertible Sofa",
        "main_image": "https://assets.wfcdn.com/im/38326392/resize-h800-w800%5Ecompr-r85/1977/197742641/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
        "images": [
            "https://assets.wfcdn.com/im/38326392/resize-h800-w800%5Ecompr-r85/1977/197742641/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/79186288/resize-h800-w800%5Ecompr-r85/1977/197742638/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/57859128/resize-h800-w800%5Ecompr-r85/2585/258585527/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/11621016/resize-h800-w800%5Ecompr-r85/1977/197742630/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/90537201/resize-h800-w800%5Ecompr-r85/1977/197742639/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/67835375/resize-h800-w800%5Ecompr-r85/1977/197742637/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/89075632/resize-h800-w800%5Ecompr-r85/1977/197742627/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/51092751/resize-h800-w800%5Ecompr-r85/8155/81553826/Black.jpg",
            "https://assets.wfcdn.com/im/84675405/resize-h800-w800%5Ecompr-r85/1268/126800234/Camel.jpg",
            "https://assets.wfcdn.com/im/11704134/resize-h800-w800%5Ecompr-r85/1935/193522014/Dark+Gray.jpg",
            "https://assets.wfcdn.com/im/16139473/resize-h800-w800%5Ecompr-r85/3522/352278128/White.jpg",
            "https://assets.wfcdn.com/im/75438001/resize-h800-w800%5Ecompr-r85/4106/410653900/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/26776731/resize-h800-w800%5Ecompr-r85/1977/197742640/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/27734135/resize-h800-w800-undefined48-w48%5Ecompr-r85/1977/197742636/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/42296338/resize-h800-w800%5Ecompr-r85/4210/42108723/Wayfair+Basics%C2%AE+1800+Series+Soft+Microfiber+Sheet+Set.jpg",
            "https://assets.wfcdn.com/im/75638921/resize-h800-w800%5Ecompr-r85/1815/181554648/Jarold+63.7%22+Column+Dimmable+Floor+Lamp+with+Shelves+%26+Remote+Control+%26+USB+Charging+Station.jpg",
            "https://assets.wfcdn.com/im/68379824/resize-h800-w800%5Ecompr-r85/2771/277174443/Khari+Microfiber+Duvet+Cover+Set.jpg",
            "https://assets.wfcdn.com/im/24175264/resize-h800-w800%5Ecompr-r85/1237/123705265/Truly+Soft+Pinstripe+Microfiber+Standard+Plaid+Sheet+Set.jpg"
        ],
        "fullsize_images": [
            "https://assets.wfcdn.com/im/38326392/compr-r85/1977/197742641/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/79186288/compr-r85/1977/197742638/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/57859128/compr-r85/2585/258585527/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/11621016/compr-r85/1977/197742630/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/90537201/compr-r85/1977/197742639/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/67835375/compr-r85/1977/197742637/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/89075632/compr-r85/1977/197742627/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/51092751/compr-r85/8155/81553826/Black.jpg",
            "https://assets.wfcdn.com/im/84675405/compr-r85/1268/126800234/Camel.jpg",
            "https://assets.wfcdn.com/im/11704134/compr-r85/1935/193522014/Dark+Gray.jpg",
            "https://assets.wfcdn.com/im/16139473/compr-r85/3522/352278128/White.jpg",
            "https://assets.wfcdn.com/im/75438001/compr-r85/4106/410653900/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/26776731/compr-r85/1977/197742640/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/27734135/resize-h800-w800-undefined48-w48%5Ecompr-r85/1977/197742636/Benitez+Twin+76%27%27+Faux+Leather+Convertible+Sofa-1542231449.jpg",
            "https://assets.wfcdn.com/im/42296338/compr-r85/4210/42108723/Wayfair+Basics%C2%AE+1800+Series+Soft+Microfiber+Sheet+Set.jpg",
            "https://assets.wfcdn.com/im/75638921/compr-r85/1815/181554648/Jarold+63.7%22+Column+Dimmable+Floor+Lamp+with+Shelves+%26+Remote+Control+%26+USB+Charging+Station.jpg",
            "https://assets.wfcdn.com/im/68379824/compr-r85/2771/277174443/Khari+Microfiber+Duvet+Cover+Set.jpg",
            "https://assets.wfcdn.com/im/24175264/compr-r85/1237/123705265/Truly+Soft+Pinstripe+Microfiber+Standard+Plaid+Sheet+Set.jpg"
        ],
        "price": 263.99,
        "list_price": 799.99,
        "open_box_price": null,
        "currency": "USD",
        "description": "You'll love the Mercury Row® Benitez Twin or Smaller 76\" Wide Faux Leather Tufted Back Convertible Sofa at Wayfair - Great Deals on all products with Free Shipping on most stuff, even the big stuff.",
        "sku_id": "w005404809",
        "brand": "Mercury Row®",
        "rating": 4.41,
        "total_ratings": 4642,
        "total_reviews": 4642,
        "reviews": [],
        "retailer_badge": "Sale",
        "variant": {
            "type": "Upholstery Color",
            "value": "Dark Gray"
        },
        "variants": [
            {
                "type": "Upholstery Color",
                "name": "Black",
                "id": 1585946134,
                "url": "https://www.wayfair.com/furniture/pdp/mercury-row-benitez-twin-or-smaller-76-wide-faux-leather-tufted-back-convertible-sofa-w005404809.html?piid=1585946134",
                "selected": false
            },
            {
                "type": "Upholstery Color",
                "name": "Camel",
                "id": 1548149217,
                "url": "https://www.wayfair.com/furniture/pdp/mercury-row-benitez-twin-or-smaller-76-wide-faux-leather-tufted-back-convertible-sofa-w005404809.html?piid=1548149217",
                "selected": false
            },
            {
                "type": "Upholstery Color",
                "name": "Dark Gray",
                "id": 1542231449,
                "url": "https://www.wayfair.com/furniture/pdp/mercury-row-benitez-twin-or-smaller-76-wide-faux-leather-tufted-back-convertible-sofa-w005404809.html?piid=1542231449",
                "selected": true
            },
            {
                "type": "Upholstery Color",
                "name": "White",
                "id": 1585946135,
                "url": "https://www.wayfair.com/furniture/pdp/mercury-row-benitez-twin-or-smaller-76-wide-faux-leather-tufted-back-convertible-sofa-w005404809.html?piid=1585946135",
                "selected": false
            }
        ],
        "in_stock": false,
        "low_inventory_indicator_badge": "Out of Stock",
        "categories": [
            {
                "name": "Furniture",
                "url": "https://www.wayfair.com/furniture/cat/furniture-c45974.html"
            },
            {
                "name": "Living Room Furniture",
                "url": "https://www.wayfair.com/furniture/cat/living-room-furniture-c45982.html"
            },
            {
                "name": "Futons & Daybeds",
                "url": "https://www.wayfair.com/furniture/cat/futons-daybeds-c413902.html"
            },
            {
                "name": "Futons",
                "url": "https://www.wayfair.com/furniture/sb0/futons-c1780368.html"
            }
        ],
        "product_overview": null,
        "delivery_zipcode": null,
        "shipping_info": null,
        "features": [
            "A split back design that provides multiple positions of comfort",
            "Ideal for small living spaces",
            "Converts easily from couch to sleeper",
            "A center leg for additional support",
            "Clearance required including the slant of the back: 13\"",
            "Distance between the arms: 70.5\"",
            "Height without the legs: 29.5\"",
            "Weight limit: 600 lbs."
        ],
        "at_a_glance": null
    },
    "credits_used": 1,
    "remaining_credits": 39862571.5
}

Request Cost

2.5 credits are deducted for each successful request

Supported Countries

Currently, our Wayfair Product Data API supports scraping product details from:

Country Domain
USA Wayfair.com
Canada Wayfair.ca
UK Wayfair.co.uk

Support

If you want to add a parameter to our response, or have any question or feedback, please write to us at support@unwrangle.com